Bug 735677 - matplotlib.pyplot.plot_date() ignores timezone
Summary: matplotlib.pyplot.plot_date() ignores timezone
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-matplotlib
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 22:01 UTC by Shawn Bohrer
Modified: 2013-02-14 01:24 UTC (History)
4 users (show)

Fixed In Version: python-matplotlib-1.0.1-12.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 01:24:56 UTC


Attachments (Terms of Use)

Description Shawn Bohrer 2011-09-04 22:01:03 UTC
Description of problem:

matplotlib.pyplot.plot_date() ignores timezone value passed as kwarg tz.

Version-Release number of selected component (if applicable):

python-matplotlib-1.0.1-11.fc14.x86_64


Additional info:

It looks like this has been fixed upstream in:

https://github.com/matplotlib/matplotlib/commit/5c968a0ecdde4a4517a2529b7df39381dfcb2033

Comment 1 Jef Spaleta 2011-09-15 18:07:40 UTC
thanks, I'll see if I can get this cherry-picked as a patch. Watch this space for test build urls for you to test.

-jef

Comment 2 Fedora Update System 2011-09-16 00:53:58 UTC
python-matplotlib-1.0.1-12.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-matplotlib-1.0.1-12.fc15

Comment 3 Jef Spaleta 2011-09-16 17:42:16 UTC
Working on F14 builds now. Do you have an F15 install that you can use to test that testing update?

-jef

Comment 4 Fedora Update System 2011-09-16 18:27:09 UTC
python-matplotlib-1.0.1-12.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-matplotlib-1.0.1-12.fc14

Comment 5 Shawn Bohrer 2011-09-16 19:28:07 UTC
I tested python-matplotlib-1.0.1-12.fc14.x86_64.rpm on F14 and python-matplotlib-1.0.1-12.fc15.x86_64.rpm on F15.  Both solve the issue for me.  Thanks!

Comment 6 Fedora Update System 2011-09-18 00:57:41 UTC
Package python-matplotlib-1.0.1-12.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-matplotlib-1.0.1-12.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/python-matplotlib-1.0.1-12.fc14
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-27 23:05:30 UTC
python-matplotlib-1.0.1-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-09-27 23:07:51 UTC
python-matplotlib-1.0.1-12.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Shawn Bohrer 2011-12-15 18:11:02 UTC
This issue appears to also be present in F16 with python-matplotlib-1.0.1-12.fc16.x86_64

Comment 10 Fedora End Of Life 2013-01-16 22:53:46 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Fedora End Of Life 2013-02-14 01:24:59 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.